Package org.apache.jmeter.protocol.http.control

# Class HttpMirrorThread

java.lang.Object
org.apache.jmeter.protocol.http.control.HttpMirrorThread

All Implemented Interfaces:
  `Runnable`

public class HttpMirrorThread extends Object implements Runnable
Thread to handle one client request. Gets the request from the client and sends the response back to the client. The server responds to some header settings: X-ResponseStatus - the response code/message; default "200 OK" X-SetHeaders - pipe-separated list of headers to return X-ResponseLength - truncates the response to the stated length X-SetCookie - set a cookie X-Sleep - sleep before returning It also responds to some query strings: status=nnn Message (overrides X-ResponseStatus) redirect=location - sends a temporary redirect v - verbose, i.e. print some details to stdout

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `HttpMirrorThread(Socket clientSocket)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `run()`
  Main processing method for the HttpMirror object

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### HttpMirrorThread

    public HttpMirrorThread(Socket clientSocket)

- ## Method Details

  - ### run

    public void run()
    Main processing method for the HttpMirror object
    Specified by:
      `run` in interface `Runnable`